Bug 812512 - SDK is using dict.has_key() which is deprecated.
SDK is using dict.has_key() which is deprecated.
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-sdk (Show other bugs)
unspecified
x86_64 All
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 05:03 EDT by Jaroslav Henner
Modified: 2014-01-12 19:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 06:54:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2012-04-14 05:03:40 EDT
Description of problem:
Running with python -3Wall shows many warnings like:

/usr/lib/python2.7/site-packages/ovirtsdk/utils/reflectionhelper.py:60: DeprecationWarning: dict.has_key() not supported in 3.x; use the in operator


Version-Release number of selected component (if applicable):
ovirt-engine-sdk-1.6.4-1
Comment 1 Michael Pasternak 2012-04-18 06:54:24 EDT
sdk is not supported under python 3.x, when/if we would consider supporting
3.x, we will address this.

Note You need to log in before you can comment on or make changes to this bug.